import { defineComponent as s, openBlock as a, createBlock as r, unref as d, withCtx as u, renderSlot as o } from "vue";
import { ElCheckboxGroup as m, ElRadioGroup as n } from "element-plus";
const c = /* @__PURE__ */ s({
  __name: "selection",
  props: {
    type: String,
    modelValue: {
      type: Array
    }
  },
  setup(p) {
    const e = p;
    return (l, f) => {
      var t;
      return e.type === "checkbox" ? (a(), r(d(m), {
        key: 0,
        style: { display: "flex" },
        "model-value": e.modelValue
      }, {
        default: u(() => [
          o(l.$slots, "default")
        ]),
        _: 3
      }, 8, ["model-value"])) : e.type === "radio" ? (a(), r(d(n), {
        key: 1,
        style: { display: "flex" },
        "model-value": (t = e.modelValue) == null ? void 0 : t[0]
      }, {
        default: u(() => [
          o(l.$slots, "default")
        ]),
        _: 3
      }, 8, ["model-value"])) : o(l.$slots, "default", { key: 2 });
    };
  }
});
export {
  c as default
};
